// indent:4  tabsize:4  font:fixed-width
//
// The Cribbage Solitaire module.
//
// Copyright 1994 by David Fedchenko.  All rights reserved.
//

//----------------------------------------------------------------------------
//
//	Cribbage:GameModule
//
//		The game of Cribbage Solitaire.  This allows you to kill two birds
//		with one stone by playing both games at the same time.
//
//	CREDITS
//
//	David Fedchenko <max@chernobog.wa.com>
//		-- design and implementation
//	Gary Ritchie<gary@uaneuro.uah.ualberta.ca>
//		-- creator of the Template module this was based on.
//	Earl Cohen
//		-- cribbage scoring system that was read for hints.
//
//----------------------------------------------------------------------------


#import <appkit/appkit.h>
#import "../Solitaire/GameModule.h"

@interface Cribbage:GameModule
	{
	id	idLayout11;
	id	idLayout12;
	id	idLayout13;
	id	idLayout14;
	id	idLayout21;
	id	idLayout22;
	id	idLayout23;
	id	idLayout24;
	id	idLayout31;
	id	idLayout32;
	id	idLayout33;
	id	idLayout34;
	id	idLayout41;
	id	idLayout42;
	id	idLayout43;
	id	idLayout44;
	
	id	idDraw;
	
	id	idScore1;
	id	idScore2;
	id	idScore3;
	id	idScore4;
	id	idScore5;
	id	idScore6;
	id	idScore7;
	id	idScore8;
	
	id	idFinalScore;
	id	idHeelsScore;
	
	id	idDrawDelegate;
	id	idLayoutDelegate;
	
	id	idPrevDeck;
	}

- setupGame:(BOOL)redeal;

- gameWindow;
- clickShift:sender;
- loadCardArray:(id [])array;
-(int) scoreHand:(id [])idHand;

@end
